Member Function
String
Constructor
String<TValue, External<TConfig> > ()
String<TValue, External<TConfig> > (file)
String<TValue, External<TConfig> > (fileName[, openMode])
Parameters

file | The External String will use the file associated with file. Types: File Remarks: You must ensure that file is open, as the string won't call open and close on it.
fileName | The External String will open the file with the path fileName.
openMode | File mode for open.

Remarks
When a file or file name is given, this file will be used for the External String. If the file exists, this file will be used and determines the strings length and content. If the file doesn't exist, a new and empty file will be created and used for the string. In both cases, the string won't delete the file in the destructor.
When no file is given (default c'tor) the string will be empty and no file is used until the string needs to swap out page frames. Then a temporary file will be used which will be deleted when the string is destroyed.
Instead of giving file or fileName to the constructor, you could also use the default constructor and call open or openTemp afterwards to reach the same behaviour.
Member of
External String
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49